
package org.mule.modules.avalara.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.modules.avalara.AvalaraModule;


/**
 * A <code>AvalaraModuleCapabilitiesAdapter</code> is a wrapper around {@link AvalaraModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class AvalaraModuleCapabilitiesAdapter
    extends AvalaraModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
